Create an item
curl --request POST \
--url https://swish.app/api/2026-07/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": 123,
"variantId": 456,
"quantity": 1,
"tags": [
"saved-from-cart"
],
"source": "cart"
}
'import requests
url = "https://swish.app/api/2026-07/items"
payload = {
"productId": 123,
"variantId": 456,
"quantity": 1,
"tags": ["saved-from-cart"],
"source": "cart"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: 123,
variantId: 456,
quantity: 1,
tags: ['saved-from-cart'],
source: 'cart'
})
};
fetch('https://swish.app/api/2026-07/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productId' => 123,
'variantId' => 456,
'quantity' => 1,
'tags' => [
'saved-from-cart'
],
'source' => 'cart'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/items"
payload := strings.NewReader("{\n \"productId\": 123,\n \"variantId\": 456,\n \"quantity\": 1,\n \"tags\": [\n \"saved-from-cart\"\n ],\n \"source\": \"cart\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://swish.app/api/2026-07/items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"productId\": 123,\n \"variantId\": 456,\n \"quantity\": 1,\n \"tags\": [\n \"saved-from-cart\"\n ],\n \"source\": \"cart\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"productId\": 123,\n \"variantId\": 456,\n \"quantity\": 1,\n \"tags\": [\n \"saved-from-cart\"\n ],\n \"source\": \"cart\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "67a61d5561e4f9de302c02a1",
"productId": 123,
"variantId": 456,
"quantity": 1,
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"metadata": {},
"product": {
"id": "gid://shopify/Product/123",
"productType": "Dresses",
"tags": [
"sale",
"summer"
],
"title": "Kai Dress In Tuberose",
"vendor": "W25A",
"updatedAt": "2026-01-22T11:03:14Z",
"handle": "kai-dress-in-tuberose",
"availableForSale": true,
"category": {
"id": "gid://shopify/Category/1",
"name": "Footwear"
},
"onlineStoreUrl": "https://example.com/products/kai-dress",
"featuredImage": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
},
"priceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"compareAtPriceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"variantsCount": 6
},
"variant": {
"availableForSale": true,
"selectedOptions": [
{
"name": "Size",
"value": "9"
}
],
"currentlyNotInStock": false,
"title": "Size 9",
"price": {
"amount": "90.00",
"currencyCode": "USD"
},
"compareAtPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"quantityAvailable": 5,
"sku": "SKU-123",
"image": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
}
}
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Items
Create an item
Creates a new item (product save) for the authenticated profile
POST
/
items
Create an item
curl --request POST \
--url https://swish.app/api/2026-07/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": 123,
"variantId": 456,
"quantity": 1,
"tags": [
"saved-from-cart"
],
"source": "cart"
}
'import requests
url = "https://swish.app/api/2026-07/items"
payload = {
"productId": 123,
"variantId": 456,
"quantity": 1,
"tags": ["saved-from-cart"],
"source": "cart"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: 123,
variantId: 456,
quantity: 1,
tags: ['saved-from-cart'],
source: 'cart'
})
};
fetch('https://swish.app/api/2026-07/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productId' => 123,
'variantId' => 456,
'quantity' => 1,
'tags' => [
'saved-from-cart'
],
'source' => 'cart'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/items"
payload := strings.NewReader("{\n \"productId\": 123,\n \"variantId\": 456,\n \"quantity\": 1,\n \"tags\": [\n \"saved-from-cart\"\n ],\n \"source\": \"cart\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://swish.app/api/2026-07/items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"productId\": 123,\n \"variantId\": 456,\n \"quantity\": 1,\n \"tags\": [\n \"saved-from-cart\"\n ],\n \"source\": \"cart\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"productId\": 123,\n \"variantId\": 456,\n \"quantity\": 1,\n \"tags\": [\n \"saved-from-cart\"\n ],\n \"source\": \"cart\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "67a61d5561e4f9de302c02a1",
"productId": 123,
"variantId": 456,
"quantity": 1,
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"metadata": {},
"product": {
"id": "gid://shopify/Product/123",
"productType": "Dresses",
"tags": [
"sale",
"summer"
],
"title": "Kai Dress In Tuberose",
"vendor": "W25A",
"updatedAt": "2026-01-22T11:03:14Z",
"handle": "kai-dress-in-tuberose",
"availableForSale": true,
"category": {
"id": "gid://shopify/Category/1",
"name": "Footwear"
},
"onlineStoreUrl": "https://example.com/products/kai-dress",
"featuredImage": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
},
"priceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"compareAtPriceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"variantsCount": 6
},
"variant": {
"availableForSale": true,
"selectedOptions": [
{
"name": "Size",
"value": "9"
}
],
"currentlyNotInStock": false,
"title": "Size 9",
"price": {
"amount": "90.00",
"currencyCode": "USD"
},
"compareAtPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"quantityAvailable": 5,
"sku": "SKU-123",
"image": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
}
}
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Headers
The market context value (e.g. 'IE')
Example:
"IE"
The market context type (e.g. 'country')
Example:
"country"
Body
application/json
The Shopify ID of the product
Example:
123
The Shopify ID of the variant (required when source is 'cart')
Example:
456
The quantity of the item
Example:
1
Tags associated with the item (must contain only lowercase letters, numbers, hyphens or underscores)
Example:
["saved-from-cart"]
Source of the item save (e.g., 'cart' for items saved from cart)
Available options:
cart Example:
"cart"
Response
The item has been successfully created.
Response data
Show child attributes
Show child attributes